Subject: bug#47832: 28.0.50; define-fringe-bitmap and emacs --daemon

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Apr 2021 15:27:58 +0300

> Date: Sat, 17 Apr 2021 11:32:25 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked]
> 
> > Since gui_init_fringe returns immediately if the frame interface doesn't 
> > provide a method for fringe initialization, I think we should call 
> > gui_init_fringe unconditionally on X.

Here I meant to call gui_init_fringe unconditionally.  It will make
the code less confusing.

> > And in any case, the patch for gui_init_fringe is sub-optimal: it 
> > unnecessarily loops over the standard bitmaps that were superseded. It 
> > is better to leave the first loop go over the standard bitmaps, whether 
> > superseded or not, and the second loop go over non-standard bitmaps 
> > only.
> 
> It is not sub-optimal, rif->define_fringe_bitmap will only be called for 
> those standard bitmaps that were superseded.  For the non-superseded ones, 
> fringe_bitmaps[bt] is NULL.

I meant the first loop, not the second one.